lucene-java-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From uschind...@apache.org
Subject svn commit: r926620 - /lucene/dev/nightly/hudson-solr-trunk.sh
Date Tue, 23 Mar 2010 15:29:03 GMT
Author: uschindler
Date: Tue Mar 23 15:29:03 2010
New Revision: 926620

URL: http://svn.apache.org/viewvc?rev=926620&view=rev
Log:
add a nightly hudson build script for solr-trunk

Added:
    lucene/dev/nightly/hudson-solr-trunk.sh   (with props)

Added: lucene/dev/nightly/hudson-solr-trunk.sh
URL: http://svn.apache.org/viewvc/lucene/dev/nightly/hudson-solr-trunk.sh?rev=926620&view=auto
==============================================================================
--- lucene/dev/nightly/hudson-solr-trunk.sh (added)
+++ lucene/dev/nightly/hudson-solr-trunk.sh Tue Mar 23 15:29:03 2010
@@ -0,0 +1,40 @@
+#!/bin/sh
+set -e
+set -x
+
+ANT_HOME=/export/home/hudson/tools/ant/latest
+SVNVERSION_EXE=/opt/subversion-1.6.9/bin/svnversion
+SVN_EXE=/opt/subversion-1.6.9/bin/svn
+MAVEN_SUPPORT=/export/home/nigel/hudsonSupport/maven
+CLOVER=/export/home/hudson/tools/clover/clover2latest
+
+SVN_BRANCH_DIR=trunk/solr
+
+#Update the Version # when doing a release
+MAVEN_ARTIFACT_VERSION=3.1-SNAPSHOT
+
+cd $WORKSPACE/$SVN_BRANCH_DIR
+
+echo "Workspace: $WORKSPACE"
+
+$ANT_HOME/bin/ant \
+  -Dversion=$BUILD_ID \
+  -Dsvnversion.exe=$SVNVERSION_EXE \
+  -Djunit.formatter=xml
+  -Dsequential-tests=1
+  clean nightly
+
+$ANT_HOME/bin/ant \
+  -Dversion=$MAVEN_ARTIFACT_VERSION \
+  -lib $MAVEN_SUPPORT \
+  -Dsvnversion.exe=$SVNVERSION_EXE \
+  -Dsequential-tests=1 \
+  clean generate-maven-artifacts
+  
+ANT_OPTS="-Xmx896M" $ANT_HOME/bin/ant \
+  -lib $CLOVER \
+  -Drun.clover=true \
+  -Dsvnversion.exe=$SVNVERSION_EXE \
+  -Djunit.formatter=xml \
+  -Dsequential-tests=1 \
+  clean-dest clover test generate-clover-reports

Propchange: lucene/dev/nightly/hudson-solr-trunk.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: lucene/dev/nightly/hudson-solr-trunk.sh
------------------------------------------------------------------------------
    svn:keywords = Date Author Id Revision HeadURL



Mime
View raw message